%define tarname pam-krb5
Summary:	A Pluggable Authentication Module for Kerberos 5
Name:		pam_krb5_debian
Version:	4.4
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		http://www.eyrie.org/~eagle/software/%{tarname}
Source0:	http://archives.eyrie.org/software/kerberos/%{tarname}-%{version}.tar.gz
Conflicts:	pam_krb5
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	krb5-devel
BuildRequires:	pam-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description 
pam-krb5 is a Kerberos v5 PAM module for either MIT Kerberos or
Heimdal.  It supports ticket refreshing by screen savers, configurable
authorization handling, authentication of non-local accounts for
network services, password changing, and password expiration, as well
as all the standard expected PAM features.  It works correctly with
OpenSSH, even with ChallengeResponseAuthentication and
PrivilegeSeparation enabled, and supports extensive configuration
either by PAM options or in krb5.conf or both.  PKINIT is supported
with recent versions of both MIT Kerberos and Heimdal and FAST is
supported with recent MIT Kerberos.
  
This module is not the Kerberos v5 PAM module maintained on Sourceforge and
used on Red Hat systems.  It is an independent implementation that, if
it ever shared any common code, diverged long ago.  It supports some
features that the Sourceforge module does not (particularly around
authorization), and does not support some options (particularly ones not
directly related to Kerberos v5) that it does.  This module will never
support Kerberos v4 or AFS.

%prep 
%setup -q -n %{tarname}-%{version}

%build
%configure2_5x \
    --libdir=/%{_lib}
%make

%install
%__rm -rf %{buildroot}

%makeinstall_std mandir=%{_mandir}

# cleanup
%__rm -f %{buildroot}/%{_lib}/security/*.la

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README LICENSE NEWS TODO
/%{_lib}/security/*
%{_mandir}/man5/*



%changelog
* Thu Mar 24 2011 Lev Givon <lev@mandriva.org> 4.4-1mdv2010.1
+ Revision: 648185
- import pam_krb5_debian


